Name:           perl-Config-Tiny
Version:        2.29
Release:        1
Summary:        Read/Write .ini style files with as little code as possible
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Tiny/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/Config-Tiny-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec) >= 3.3
BuildRequires:  perl(File::Temp) >= 0.22
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 1.001002
BuildRequires:  perl(Test::Pod) >= 1.51
BuildRequires:  perl(utf8)
BuildRequires:  perl-generators
Requires:       perl(File::Spec) >= 3.3
Requires:       perl(File::Temp) >= 0.22
Requires:       perl(strict)
Requires:       perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Config::Tiny is a Perl class to read and write .ini style
configuration files with as little code as possible, reducing load
time and memory overhead.

%prep
%setup -q -n Config-Tiny-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog.ini Changes LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 12 2023 leeffo <liweiganga@uniontech.com> - 2.29-1
- upgrade to version 2.29

* Mon Aug 24 2020 chenbo pan <panchenbo@uniontech.com> 2.24-3
- Need perl-generators to correctly provides perl(Config::Tiny)

* Thu Jul 16 2020 Shinwell Hu <micromotive@qq.com> 2.24-2
- Remove the duplicated %{?dist} according to issue #I1NRGP

* Mon Jun 22 2020 Perl_Bot <Perl_Bot@openeuler.org> 2.24-1
- Specfile autogenerated by Perl_Bot
